### Method

# Malcontent UserManager get_family_members_for_user_async

since: 0.14.0

#### Declaration [src]

    void
    mct_user_manager_get_family_members_for_user_async (
      MctUserManager* self,
      MctUser* user,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      void* user_data
    )

#### Description [src]

Get the members of the family containing `user`.

`user` is returned in the result set.

Available since: 0.14.0

This method completes asynchronously. Use `mct_user_manager_get_family_members_for_user_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`user`

  Type: `MctUser`

  User to get the family members for.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback for when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `void*`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.